Skip to content

Update Installment

Request

Security
OAuth2ClientCredentials(Required scopes: organization:payflow:read)
Path
payflow_idstring(Payflow Id)^[a-fA-F0-9]{24}$required
installment_idstring(Installment Id)^[a-fA-F0-9]{24}$required
Headers
X-Organization-Idstring(X-Organization-Id)

Required if the account is part of multiple organizations. If the account only has access to one organization, this header is not required.

Bodyapplication/jsonrequired
grossAmountnumber, > 0(Grossamount)required
itemsArray of objects(Items)
PUT
/api/payments/{payflow_id}/installments/{installment_id}
curl -i -X PUT \
  'https://api.spense.no/api/payments/{payflow_id}/installments/{installment_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-Organization-Id: string' \
  -d '{
    "grossAmount": 0,
    "items": [
      {
        "description": "",
        "grossUnitPrice": 0,
        "netUnitPrice": 0,
        "grossTotalPrice": 0,
        "netTotalPrice": 0,
        "vatAmount": 0,
        "quantity": 0,
        "taxRate": 0,
        "discountRate": 0,
        "lineType": "regular"
      }
    ]
  }'

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example